# Interface SyTextSingleLineModelType

All Superinterfaces:
  `SyTextSingleLineModelReadableType`

public interface SyTextSingleLineModelType extends SyTextSingleLineModelReadableType
A single-line text model.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SyTextSelection`
  `selectionContinue(com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceParentRelativeType> position)`
  Continue a selection operation.
  `SyTextSelection`
  `selectionFinish(com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceParentRelativeType> position)`
  Finish a selection operation.
  `SyTextSelection`
  `selectionStart(com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceParentRelativeType> position)`
  Start a selection operation.
  `void`
  `setFont(SyFontType font)`
  Set the font.
  `default void`
  `setText(SyText text)`
  Set the text value.
  `com.io7m.jattribute.core.AttributeType<SyText>`
  `text()`

  ### Methods inherited from interface SyTextSingleLineModelReadableType

  `font, inspectAt, lineMeasured`

- ## Method Details

  - ### setFont

    void setFont(SyFontType font)
    Set the font.
    Parameters:
      `font` - The font

  - ### text

    com.io7m.jattribute.core.AttributeType<SyText> text()
    Specified by:
      `text` in interface `SyTextSingleLineModelReadableType`
    Returns:
      The text

  - ### setText

    default void setText(SyText text)
    Set the text value.
    Parameters:
      `text` - The text

  - ### selectionStart

    SyTextSelection selectionStart(com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceParentRelativeType> position)
    Start a selection operation.
    Parameters:
      `position` - The parent-relative position
    Returns:
      The initial selection

  - ### selectionContinue

    SyTextSelection selectionContinue(com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceParentRelativeType> position)
    Continue a selection operation.
    Parameters:
      `position` - The parent-relative position
    Returns:
      The selection

  - ### selectionFinish

    SyTextSelection selectionFinish(com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceParentRelativeType> position)
    Finish a selection operation.
    Parameters:
      `position` - The parent-relative position
    Returns:
      The selection